{$mode objfpc}{$assertions on}{$r+}{$h+}
uses Math;

  function DistAxis(x1, x2: Integer): Integer;
  var
    t: Integer;
  begin
    if x1 > x2 then begin t := x1; x1 := x2; x2 := t; end;
    if Sign(x1) * Sign(x2) <= 0 then Result := 0
    else Result := Min(Abs(x1), Abs(x2));
  end;

var
  x1, y1, x2, y2, dx, dy: Integer;
  r: array [-1..1] of String = ('Y', 'XY', 'X');
begin
  AssignFile(input, 'input.txt'); Reset(input);
  AssignFile(output, 'output.txt'); Rewrite(output);
  Read(x1, y1, x2, y2);
  Assert(Abs(x1) <= 1000000000);
  Assert(Abs(y1) <= 1000000000);
  Assert(Abs(x2) <= 1000000000);
  Assert(Abs(y2) <= 1000000000);
  dx := DistAxis(x1, x2);
  dy := DistAxis(y1, y2);
  Write(r[Sign(dx - dy)]);
end.
