#include <sstream>
#include <vector>
#include <algorithm>
#include <cstring>
#include <cstdlib>
#include <iostream>
#include <string>
#include <cassert>
#include <ctime>
#include <map>
#include <math.h>
#include <cstdio>
#include <set>
#include <deque>
#include <memory.h>
#include <queue>

#pragma comment(linker, "/STACK:64000000")
typedef long long ll;

using namespace std;

const int MAXK = -1;
const int MAXN = -1;



int main() {
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);

	int x1, y1, x2, y2;
	while (cin >> x1 >> y1 >> x2 >> y2) {
		int dx, dy;

		if (x1 > x2) swap(x1, x2);
		if (y1 > y2) swap(y1, y2);

		if (x1 <= 0 && x2 >= 0) dx = 0;
		else dx = min(abs(x1), abs(x2));

		if (y1 <= 0 && y2 >= 0) dy = 0;
		else dy = min(abs(y1), abs(y2));

		if (dy <= dx) cout << "X";
		if (dx <= dy) cout << "Y";
		cout << endl;
	}
	
	return 0;
}
